%define _use_internal_dependency_generator 0
%global buildcc gcc_3_2
%global momorel 1

Summary:	A CPU Emulator
Name:		qemu
Version:	0.8.2
Release:	%{momorel}m
License:	GPL
Group:		Development/Tools
URL:		http://fabrice.bellard.free.fr/qemu/
Source0:	http://fabrice.bellard.free.fr/qemu/%{name}-%{version}.tar.gz
NoSource: 0
#
Patch0:		qemu-cflags2.patch
Patch1:		qemu-non-sdl_static.patch
Patch2:		qemu-0.8.1-configure.patch
Patch3:         qemu-0.8.2-compiler.patch

BuildRoot:	%{_tmppath}/%{name}-%{version}-root
BuildRequires:	SDL-devel >= 1.2.7-9m, time, zlib-devel >= 1.2.3-1m
BuildRequires:  gcc3.2
Obsoletes:	qemu-arm, qemu-ppc, qemu-sparc

%description
QEMU is a FAST! processor emulator using dynamic translation to achieve good
emulation speed.

QEMU has two operating modes:

  Full system emulation. In this mode, QEMU emulates a full system (for
    example a PC), including a processor and various peripherals. It can be
    used to launch different Operating Systems without rebooting the PC or to
    debug system code.
  User mode emulation (Linux host only). In this mode, QEMU can launch Linux
    processes compiled for one CPU on another CPU. It can be used to launch
    the Wine Windows API emulator (http://www.winehq.org) or to ease
    cross-compilation and cross-debugging.

QEMU can run without an host kernel driver and yet gives acceptable
performance.

For system emulation, the following hardware targets are supported:

  PC (x86 or x86_64 processor)
  PREP (PowerPC processor)
  G3 BW PowerMac (PowerPC processor)
  Mac99 PowerMac (PowerPC processor, in progress)
  Sun4m (32-bit Sparc processor)
  Sun4u (64-bit Sparc processor, in progress)
  Malta board (32-bit MIPS processor, in progress)

For user emulation, x86, PowerPC, ARM, and Sparc32/64 CPUs are supported.

%prep
%setup -q
%patch0 -p1 -b .cflags
%patch1 -p1 -b .no-sdl_static
%ifarch x86_64
%patch2 -p1 -b .configure
%endif
%patch3 -p1 -b .compiler

%build
./configure \
        --prefix=%{_prefix} \
        --cc=%{buildcc} \
        --make=%{__make} \
	--extra-cflags=%{optflags}
%make

%install
rm -rf %{buildroot}
%{__make} install bindir=%{buildroot}%{_bindir} \
  datadir=%{buildroot}%{_datadir}/qemu \
  docdir=%{buildroot}%{_docdir}/qemu \
  mandir=%{buildroot}%{_mandir}
rm -rf %{buildroot}%{_docdir}/qemu

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc COPYING* Changelog README* TODO *.html
%{_mandir}/man1/*
%{_bindir}/*
%{_datadir}/%{name}

%changelog
* Mon Jul 31 2006 Nishio Futoshi <futoshi@momonga-linuc.org>
- (0.8.2-1m)
- update to 0.8.2
- add patch3 (linux/compiler.h)

* Mon May 29 2006 Masanobu Sato <satoshiga@momonga-linux.org>
- (0.8.1-2m)
- add patch for x86_64 to disable sparc-softemu and sparc-user

* Thu May 11 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.1-1m)
- update 0.8.1
- disable make test

* Sun Jan  8 2006 Masahiro Takahata <takahata@momonga-linux.org>
- (0.8.0-1m)
- update 0.8.0
- use gcc_3_2

* Thu Nov 17 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.2-2m)
- Obsoletes: qemu-arc, qemu-ppc, qemu-sparc

* Sat Nov 12 2005 Kazuhiko <kazuhiko@fdiary.net>
- (0.7.2-1m)

* Sat Jul 23 2005 Mitsuru Shimamura <smbd@momonga-linux.org>
- (0.6.1-4m)
- rebuild against zlib-1.2.3 (CAN-2005-1849)

* Wed Jul 13 2005 Ryu SASAOKA <ryu@momonga-linux.org>
- (0.6.1-3m)
- rebuild against zlib-devel 1.2.2-2m, which fixes CAN-2005-2096.

* Sat Feb 12 2005 Masahiro Takahata <takahata@momonga-linux.org>
- (0.6.1-2m)
- rebuild against SDL-1.2.7-9m

* Wed Nov 17 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.6.1-1m)
- many bug fixes and new disk image formats
- remove qemu-cpu-exec.patch

* Wed Jul 14 2004 mutecat <mutecat@momonga-linux.org>
- (0.6.0-1m)
- update & add qemu-cpu-exec.patch
- qemu-cflags2.patch qemu-DESTDIR2.patch qemu-noinstall-htmlfiles2.patch
- patch shusei

* Sat Jun 12 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.5-2m)
- add qemu-noinstall-htmlfiles.patch
  for fix below
      error: Installed (but unpackaged) file(s) found:
         /usr/share/doc/qemu/qemu-doc.html
         /usr/share/doc/qemu/qemu-tech.html

* Tue May 18 2004 Kazuhiko <kazuhiko@fdiary.net>
- (0.5.5-1m)
- much improved windows 98 support
- VGA support in PowerPC PREP target

* Sat May 01 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.4-4m)
- add Patch2: qemu-DESTDIR.patch
- no use makeflags
- no use --interp-prefix

* Sat May  1 2004 Toru Hoshina <t@momonga-linux.org>
- (0.5.4-3m)
- linux_boot.bin
- force _use_internal_dependency_generator as 0.

* Thu Apr 29 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.4-2m)
- add Patch1: qemu-non-sdl_static.patch
- add hack for GLIBC_PRIVATE from valgrind.spec

* Wed Apr 28 2004 TABUCHI Takaaki <tab@momonga-linux.org>
- (0.5.4-1m)
- momonganized
- nosrc
- version up to 0.5.4
- comment out patch0
- update patch1, and rename patch0
- use %%{buildroot} nor $(DESTDIR) at makeflags 
- use %%{optflags} nor $RPM_OPT_FLAGS at configure
- tmp comment out %%check
- change License: GPL/LGPL to GPL

* Fri Jan  9 2004 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.5.1-0.fdr.1
- added -cflags patch to apply RPM_OPT_FLAGS
- added -ppc subpackage
- updated to 0.5.1

* Fri Nov 14 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> - 0:0.5.0-0.fdr.1
- updated to 0.5.0
- reworked large parts of the spec-file since upstream enables
  multi-target builds already

* Tue Sep  2 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.3-0.fdr.1.3
- s!%%ifnarch x86!%%ifnarch %%ix86!

* Tue Sep  2 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.3-0.fdr.1.2
- use '-Wl,-z -Wl,execstack' options to prevent crashes on exec-shield stack

* Thu Aug 21 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.3-0.fdr.1.1
- added -nostrip patch

* Thu Aug 21 2003 Enrico Scholz <enrico.scholz@informatik.tu-chemnitz.de> 0:0.4.3-0.fdr.1
- initial build
